Which JDeveloper Version Works With Your EBS Release?

JDeveloper logoWhen you create extensions to Oracle E-Business Suite OA Framework pages, you must use the version of Oracle JDeveloper shipped by the Oracle E-Business Suite product team.

The version of Oracle JDeveloper is specific to the Oracle E-Business Suite Applications Technology patch level, so there is a new version of Oracle JDeveloper with each new release of the Oracle E-Business Suite Applications Technology patchset.

This Note lists the JDeveloper with OA Extension updates for EBS 11i, 12.0, 12.1, and 12.2:

Related Articles

Comments:

Hi Steven,
All the best in the New Year to you and your team!

I have two questions regarding this post.

1. Let's say I have a 12.1.3 development instance, and I develop an OAF extension on that instance, using the appropriate version of JDeveloper. Will this extension work on 12.0, 12.1.2, or 12.2 instance without modification?

2. Will my extension that is working on 12.1.3 instance survive the EBS upgrade to 12.2 without modification?

Thanks and regards,
Dalibor

Posted by Dalibor on January 03, 2014 at 11:55 PM PST #

Hi Steve,

We are currently on 11.5.10 CU2 and plan on R12 Upgrade later this year. The JDeveloper version from the note 416708.1 works fine on Windows XP but I recently moved to Windows 7 and seeing some issues with the display, most of icons are missing.

I raised an SR and got a response "No, the 9i and 10g Jdeveloper have not been certified to run on Windows 7 or Windows Server 2008".

Are there any plans of getting JDev 9i certified on Win 7?

Thx, Suresh

Posted by Suresh on January 06, 2014 at 10:58 AM PST #

Hi, Dalibor,

1. If you write your extension without any dependencies on features that exist only in 12.1.3, they should be backwards-compatible with 12.0 or 12.1.2.

2. If you write your 12.1.3 extension using our published APIs and following our guidelines in our Developer's Guide, the revisions to make it forward-compatible with 12.2 should be minimal.

Those statements are theoretical. Since this is your custom code, I cannot make any a priori claims about your extension's level of compatibility. You should test your extension with all releases that you intend to support!

Regards,
Steven

Posted by Steven Chan on January 06, 2014 at 12:23 PM PST #

Hi Steve

My customer need to use OA extension on Windows 7 Client to implement OA framework page for EBS 12.1 environment. I checked Doc.416708.1. There are no patch for Windows 7 client.

Is there any new for OA Extention?

Regards
Shoji

Posted by Shoji on February 25, 2014 at 10:55 PM PST #

Hi, Shoji,

We're still working out the details for OA Extensions for JDeveloper. Please monitor or subscribe to this blog; I'll post an update in a new article as soon as possible.

Regards,
Steven

Posted by Steven Chan on February 27, 2014 at 02:00 PM PST #

Hello, Shoji,

We're working on some final details to get Windows 7 and 8 support for Jdeveloper and OA Extensions. Please stay tuned.

Regards,
Steven

Posted by Steven Chan on March 12, 2014 at 09:57 AM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today